# FirstVet ESLint Rules


1. From your repository, run `npx install-peerdeps -D eslint-config-firstvet`. **Requires npm 5+**.

2. Create `.eslintrc.json` in your root and paste one of the following:

**JS**
```js
{
  "extends": ["firstvet"]
}
```

**JS + Vue**
```js
{
  "extends": ["firstvet/vue"]
}
```

*Setup autoformatting on save for VS Code users:*

3. Install VS Code plugin [ESLint](https://marketplace.visualstudio.com/items?itemName=dbaeumer.vscode-eslint).

4. Open your `settings.json` in VS Code and add/edit the following:

```js
// Turn editor formatting since we will do this via ESLint.
"[javascript]": {
  "editor.formatOnSave": false,
  "editor.formatOnPaste": false,
},
"[json]": {
  "editor.formatOnSave": false,
  "editor.formatOnPaste": false,
},
"[vue]": {
  "editor.formatOnSave": false,
  "editor.formatOnPaste": false,
},
"[typescript]": {
  "editor.formatOnSave": false,
  "editor.formatOnPaste": false,
},

// Tell the ESLint plugin to run on save.
"eslint.validate": ["javascript", "json", "vue", "typescript"],
"editor.codeActionsOnSave": {
  "source.fixAll.eslint": true
},

// Turn off prettier formatting (if previously installed).
"prettier.disableLanguages": ["javascript", "json", "vue", "typescript"],

"path-intellisense.mappings": {
  "@": "${workspaceRoot}/src"
}
```

## Note

 There is an issue with VSCode and autoformatting on subdirectories. If the linting rules are used in a subdirectory you will need to open that directory as the "project root" in VSCode for it to work. [See thread on StackOverflow](https://stackoverflow.com/questions/60064590/vscode-failed-to-load-plugin-cannot-find-module-eslint-plugin-prettier).
