module.exports = {
  env: {
    browser: true,
    es2024: true,
    node: true,
  },
  plugins: ['vue', '@typescript-eslint'],
  extends: [
    'firstvet',
    'plugin:vue/vue3-recommended',
    'plugin:@typescript-eslint/recommended',
    'prettier',
  ],
  rules: {
    '@typescript-eslint/no-shadow': ['error', { allow: ['state', 'getters'] }],
    '@typescript-eslint/no-unused-vars': 'error',
    'import/extensions': [
      'error',
      'ignorePackages',
      {
        'js': 'never',
        'jsx': 'never',
        'ts': 'never',
        'tsx': 'never'
      }
    ],
    'import/prefer-default-export': 'off',
    'import/no-relative-packages': 'off',
    'no-shadow': 'off',
    'no-unused-vars': 'off',
    'no-console': ['error', { allow: ['error', 'info', 'warn'] }],
  },
  settings: {
    'import/resolver': {
      alias: {
        map: [['@', './src']],
        extensions: ['.js', '.vue'],
      },
    },
  },
  parser: 'vue-eslint-parser',
  parserOptions: {
    ecmaVersion: 'latest',
    parser: '@typescript-eslint/parser',
    sourceType: 'module',
  },
  overrides: [
    {
      files: ['*.ts'],
      rules: {
        'no-undef': 'off',
      },
    },
  ],
  ignorePatterns: [
    'tsconfig.json',
    'package-lock.json',
    '.gitignore',
  ],
};
